[maven-debian-helper] 01/03: mh_make: Fixed the error displayed when DEBFULLNAME/DEBEMAIL is not defined
Emmanuel Bourg
ebourg-guest at moszumanska.debian.org
Fri Oct 24 15:38:08 BST 2014
This is an automated email from the git hooks/post-receive script.
ebourg-guest pushed a commit to branch master
in repository maven-debian-helper.
commit 7e1502d7693e6cd3c133ee45e6f5aa6e02e9f0bc
Author: Emmanuel Bourg <ebourg at apache.org>
Date: Fri Oct 24 16:28:34 2014 +0200
mh_make: Fixed the error displayed when DEBFULLNAME/DEBEMAIL is not defined
---
bin/mh_make | 4 ++--
debian/changelog | 1 +
2 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/bin/mh_make b/bin/mh_make
index c565be0..f9d2832 100755
--- a/bin/mh_make
+++ b/bin/mh_make
@@ -43,7 +43,7 @@ ARGS="p package b bin-package t run-tests d javadoc a ant v verbose s from-svn"
if [ -z "$DEBFULLNAME" ]; then
echo "Please define the environment variable DEBFULLNAME, e.g."
echo "export DEBFULLNAME=\"John Doe\""
- return;
+ exit 1
fi
if [ -z "$DEBEMAIL" ]; then
@@ -54,7 +54,7 @@ fi
if [ -z "$DEBEMAIL" ]; then
echo "Please define the environment variable DEBEMAIL, e.g."
echo "export DEBEMAIL=\"john.doe at where.no\""
- return;
+ exit 1
fi
if [ -z "$DEBLICENSE" ]; then
diff --git a/debian/changelog b/debian/changelog
index 778bc6c..5a87bb5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ maven-debian-helper (1.6.9) UNRELEASED; urgency=medium
plugins
* Use the uscan --no-symlink option instead of --rename in the generated
debian/rule get-orig-source target to work around #748462
+ * mh_make: Fixed the error displayed when DEBFULLNAME/DEBEMAIL is not defined
* The generated control file now specifies Standards-Version: 3.9.6
* Shortened the Vcs-Browser URL in the generated control file
* The dependencies of the *-java-doc packages are now recommended to comply
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-java/maven-debian-helper.git
More information about the pkg-java-commits
mailing list